All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::usrp::rx_dboard_base Class Reference

`#include <dboard_base.hpp>`

Inheritance diagram for uhd::usrp::rx_dboard_base:

## Public Member Functions

| rx_dboard_base (ctor_args_t)
Public Member Functions inherited from uhd::usrp::dboard_base
| dboard_base (ctor_args_t)

## Additional Inherited Members

Public Types inherited from uhd::usrp::dboard_base
typedef boost::shared_ptr < dboard_base > | sptr
typedef void * | ctor_args_t
Protected Member Functions inherited from uhd::usrp::dboard_base
std::string | get_subdev_name (void)
dboard_iface::sptr | get_iface (void)
dboard_id_t | get_rx_id (void)
dboard_id_t | get_tx_id (void)
property_tree::sptr | get_rx_subtree (void)
property_tree::sptr | get_tx_subtree (void)

## Detailed Description

A rx daughter board only implements rx methods. Sub classes for rx-only boards should inherit this.

## Constructor & Destructor Documentation

uhd::usrp::rx_dboard_base::rx_dboard_base | ( | ctor_args_t |  | ) |

Create a new rx dboard object, override in subclasses.

The documentation for this class was generated from the following file:

- include/uhd/usrp/dboard_base.hpp